using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.PaymentOptions.ListAsync(paymentOptionRequest: new PaymentOptionRequest() {});
// handle response
package main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/models/components"
"log"
)
func main() {
ctx := context.Background()
s := gr4vygo.New(
gr4vygo.WithMerchantAccountID("default"),
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)
res, err := s.PaymentOptions.List(ctx, components.PaymentOptionRequest{}, nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.PaymentOptionRequest;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListPaymentOptionsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.merchantAccountId("default")
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListPaymentOptionsResponse res = sdk.paymentOptions().list()
.paymentOptionRequest(PaymentOptionRequest.builder()
.build())
.call();
if (res.paymentOptions().isPresent()) {
System.out.println(res.paymentOptions().get());
}
}
}
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_options.list(locale="en")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentOptions.list({});
console.log(result);
}
run();
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
List payment options
List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.
POST
/
payment-options
C#
using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.PaymentOptions.ListAsync(paymentOptionRequest: new PaymentOptionRequest() {});
// handle response
package main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/models/components"
"log"
)
func main() {
ctx := context.Background()
s := gr4vygo.New(
gr4vygo.WithMerchantAccountID("default"),
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)
res, err := s.PaymentOptions.List(ctx, components.PaymentOptionRequest{}, nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.PaymentOptionRequest;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListPaymentOptionsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.merchantAccountId("default")
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListPaymentOptionsResponse res = sdk.paymentOptions().list()
.paymentOptionRequest(PaymentOptionRequest.builder()
.build())
.call();
if (res.paymentOptions().isPresent()) {
System.out.println(res.paymentOptions().get());
}
}
}
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.payment_options.list(locale="en")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentOptions.list({});
console.log(result);
}
run();
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0066CC","light":"#0099FF","dark":"#0066CC"},"logo":{"light":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99","dark":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=7a09594217c27f95e0d127250c4cc958"},"favicon":"https://mintcdn.com/flexxbuy/39tfKGesfNHyX7HE/assets/favicon.png?fit=max\u0026auto=format\u0026n=39tfKGesfNHyX7HE\u0026q=85\u0026s=fc89afd637da9116e218f41f2c6b1105","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.flexxbuy.gr4vy.app","https://api.flexxbuy.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flexxbuy","hasAudioNarration":false,"actualSubdomain":"flexxbuy","customDomains":["docs.byzly.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"flexxbuy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf64bc3d6319f7be041995","collectionId":"bdb65d06-a21b-40ca-800b-8b423f379e82","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf64bc3d6319f7be041995"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adf64bc3d6319f7be041995","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Build","count":195},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":91},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":44},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/payment-options/list-payment-options","slug":"/reference/payment-options/list-payment-options","pageMetadata":{"openapi":"openapi.speakeasy.json POST /payment-options","title":"List payment options","description":"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.","href":"/reference/payment-options/list-payment-options"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-options.read`}),` or `,_jsx(_components.code,{children:`embed`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json POST /payment-options","title":"List payment options","description":"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.","href":"/reference/payment-options/list-payment-options"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Payment options"],"summary":"List payment options","description":"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.","operationId":"list_payment_options","parameters":["27e2b1e7-2085-4084-89e0-9b01f67ed80d"],"requestBody":"b94b4803-b1d3-41a6-b1f9-6862bf83d5f2","responses":{"200":"ae225d00-585c-406c-a0e0-b2d55e0aa505","400":"e69b56bf-146e-474f-a775-e6e1a5678543","401":"8d807093-0c8e-4968-8840-75b31813fbe8","403":"346a8ef9-ecfe-484a-b4d9-677b7f1ca197","404":"98d80dc5-71e3-41c1-910d-d9eed2e6bd35","405":"13b26c59-2b59-4531-8649-bdb13babfb5f","409":"adea8993-4b44-482d-b4e3-33ff33f171f0","422":"a4b35a77-efc9-4dc1-86db-4bebdee1febb","425":"72a4f073-806f-48b5-8d94-f26e981444bb","429":"07385d62-5ab9-4f9e-a299-3a5903610eb3","500":"33d37700-53fd-4932-9ddf-a8d6cad3ce9d","502":"68d680df-a62a-43fc-a5cc-fd4259699d99","504":"d5720a81-f66a-40ca-9949-0c9f382f8716"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-options","x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.PaymentOptions.List(ctx, components.PaymentOptionRequest{}, nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentOptions.list({});\n\n console.log(result);\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.components.PaymentOptionRequest;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentOptionsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListPaymentOptionsResponse res = sdk.paymentOptions().list()\n .paymentOptionRequest(PaymentOptionRequest.builder()\n .build())\n .call();\n\n if (res.paymentOptions().isPresent()) {\n System.out.println(res.paymentOptions().get());\n }\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_options.list(locale=\"en\")\n\n # Handle response\n print(res)"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.PaymentOptions.ListAsync(paymentOptionRequest: new PaymentOptionRequest() {});\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$paymentOptionRequest = new Gr4vy\\PaymentOptionRequest();\n\n$response = $sdk->paymentOptions->list(\n paymentOptionRequest: $paymentOptionRequest\n);\n\nif ($response->paymentOptions !== null) {\n // handle response\n}"}],"method":"post","type":"path","servers":["0048b136-b0cb-4528-8f3a-95ce1a20d337","b15a1711-bb6b-4cdf-9106-1a445dacccf7"],"security":["1c94c691-caf6-424e-b0d4-912fcc945a19"],"path":"/payment-options","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List payment options","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.PaymentOptions.List(ctx, components.PaymentOptionRequest{}, nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentOptions.list({});\n\n console.log(result);\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.components.PaymentOptionRequest;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentOptionsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListPaymentOptionsResponse res = sdk.paymentOptions().list()\n .paymentOptionRequest(PaymentOptionRequest.builder()\n .build())\n .call();\n\n if (res.paymentOptions().isPresent()) {\n System.out.println(res.paymentOptions().get());\n }\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.payment_options.list(locale=\"en\")\n\n # Handle response\n print(res)"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.PaymentOptions.ListAsync(paymentOptionRequest: new PaymentOptionRequest() {});\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$paymentOptionRequest = new Gr4vy\\PaymentOptionRequest();\n\n$response = $sdk->paymentOptions->list(\n paymentOptionRequest: $paymentOptionRequest\n);\n\nif ($response->paymentOptions !== null) {\n // handle response\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"27e2b1e7-2085-4084-89e0-9b01f67ed80d":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"metadata":{"oneOf":[{"type":"object","title":"Metadata","description":"The metadata to used to evaluate checkout rules, which will help determine the right payment options to display.","example":{"cohort":"a"},"additionalProperties":{"type":"string","uniqueKey":"metadata.oneOf.0.additionalProperties","typeLabel":"string"},"uniqueKey":"metadata.oneOf.0","typeLabel":"Metadata · object"},{"type":"null","title":"Metadata","description":"The metadata to used to evaluate checkout rules, which will help determine the right payment options to display.","example":{"cohort":"a"},"uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"Metadata · object | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country code used to evaluate checkout rules, and which are used to help determine the right payment options to display.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country code used to evaluate checkout rules, and which are used to help determine the right payment options to display.","example":"US","uniqueKey":"country.oneOf.1","typeLabel":"null"}],"uniqueKey":"country","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","title":"Currency","description":"The currency code used to evaluate checkout rules, and which are used to help determine the right payment options to display.","pattern":"^[A-Z]{3}$","example":"USD","uniqueKey":"currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Currency","description":"The currency code used to evaluate checkout rules, and which are used to help determine the right payment options to display.","example":"USD","uniqueKey":"currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"currency","typeLabel":"string | null"},"amount":{"oneOf":[{"type":"integer","title":"Amount","description":"The amount used to evaluate checkout rules, and which are used to help determine the right payment options to display.","example":1299,"uniqueKey":"amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Amount","description":"The amount used to evaluate checkout rules, and which are used to help determine the right payment options to display.","example":1299,"uniqueKey":"amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount","typeLabel":"integer | null"},"locale":{"type":"string","maxLength":50,"minLength":1,"title":"Locale","description":"The locale used to determine the labels for each payment option.","default":"en","examples":["en"],"uniqueKey":"locale","typeLabel":"string"},"cart_items":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"The name of the cart item. The value you set for this property may be truncated if the maximum length accepted by a payment service provider is less than 255 characters.","examples":["GoPro HD"],"isRequired":true,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].name","typeLabel":"string"},"quantity":{"type":"integer","maximum":99999999,"exclusiveMinimum":0,"title":"Quantity","description":"The quantity of this item in the cart. This value cannot be negative or zero.","examples":[2],"isRequired":true,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].quantity","typeLabel":"integer"},"unit_amount":{"type":"integer","maximum":99999999,"minimum":0,"title":"Unit Amount","description":"The amount for an individual item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`. The amount sent through to the payment processor as unitary amount will be calculated to include the discount and tax values sent as part of this cart item.","examples":[1299],"isRequired":true,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].unit_amount","typeLabel":"integer"},"discount_amount":{"oneOf":[{"type":"integer","title":"Discount Amount","description":"The amount discounted for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"maximum":99999999,"minimum":0,"example":0,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].discount_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Discount Amount","description":"The amount discounted for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"example":0,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].discount_amount","typeLabel":"integer | null"},"tax_amount":{"oneOf":[{"type":"integer","title":"Tax Amount","description":"The tax amount for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"maximum":99999999,"minimum":0,"example":0,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].tax_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Tax Amount","description":"The tax amount for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"example":0,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].tax_amount","typeLabel":"integer | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier for the cart item. This can be set to any value and is not sent to the payment service.","maxLength":200,"minLength":1,"example":"goprohd","uniqueKey":"cart_items.oneOf.0.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier for the cart item. This can be set to any value and is not sent to the payment service.","example":"goprohd","uniqueKey":"cart_items.oneOf.0.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].external_identifier","typeLabel":"string | null"},"sku":{"oneOf":[{"type":"string","title":"Sku","description":"The SKU or product code for the item.","maxLength":200,"minLength":1,"example":"GPHD1078","uniqueKey":"cart_items.oneOf.0.items.[INDEX].sku.oneOf.0","typeLabel":"string"},{"type":"null","title":"Sku","description":"The SKU or product code for the item.","example":"GPHD1078","uniqueKey":"cart_items.oneOf.0.items.[INDEX].sku.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].sku","typeLabel":"string | null"},"upc":{"oneOf":[{"type":"string","title":"Upc","description":"The UPC for the item.","maxLength":50,"minLength":1,"example":"012345678905","uniqueKey":"cart_items.oneOf.0.items.[INDEX].upc.oneOf.0","typeLabel":"string"},{"type":"null","title":"Upc","description":"The UPC for the item.","example":"012345678905","uniqueKey":"cart_items.oneOf.0.items.[INDEX].upc.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].upc","typeLabel":"string | null"},"product_url":{"oneOf":[{"type":"string","title":"Product Url","description":"The product URL for the item.","example":"https://example.com/catalog/go-pro-hd","uniqueKey":"cart_items.oneOf.0.items.[INDEX].product_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Product Url","description":"The product URL for the item.","example":"https://example.com/catalog/go-pro-hd","uniqueKey":"cart_items.oneOf.0.items.[INDEX].product_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].product_url","typeLabel":"string | null"},"image_url":{"oneOf":[{"type":"string","title":"Image Url","description":"The URL for the image of the item.","example":"https://example.com/images/go-pro-hd.jpg","uniqueKey":"cart_items.oneOf.0.items.[INDEX].image_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Image Url","description":"The URL for the image of the item.","example":"https://example.com/images/go-pro-hd.jpg","uniqueKey":"cart_items.oneOf.0.items.[INDEX].image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].image_url","typeLabel":"string | null"},"categories":{"oneOf":[{"type":"array","items":{"type":"string","maxLength":50,"minLength":1,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].categories.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Categories","description":"A list of strings containing product categories for the item.","example":["camera","travel","gear"],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].categories.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Categories","description":"A list of strings containing product categories for the item.","example":["camera","travel","gear"],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].categories.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].categories","typeLabel":"string[] | null"},"subcategories":{"oneOf":[{"type":"array","items":{"type":"string","maxLength":50,"minLength":1,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].subcategories.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Subcategories","description":"A list of strings containing product subcategories for the item.","example":["action-cameras"],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].subcategories.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Subcategories","description":"A list of strings containing product subcategories for the item.","example":["action-cameras"],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].subcategories.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].subcategories","typeLabel":"string[] | null"},"brand":{"oneOf":[{"type":"string","title":"Brand","description":"The brand of the item.","maxLength":255,"minLength":1,"example":"GoPro","uniqueKey":"cart_items.oneOf.0.items.[INDEX].brand.oneOf.0","typeLabel":"string"},{"type":"null","title":"Brand","description":"The brand of the item.","example":"GoPro","uniqueKey":"cart_items.oneOf.0.items.[INDEX].brand.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].brand","typeLabel":"string | null"},"product_type":{"oneOf":[{"type":"string","title":"ProductType","description":"The product type of the cart item.","enum":["physical","discount","shipping_fee","sales_tax","digital","gift_card","store_credit","surcharge"],"x-speakeasy-unknown-values":"allow","example":"physical","uniqueKey":"cart_items.oneOf.0.items.[INDEX].product_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The product type of the cart item.","example":"physical","uniqueKey":"cart_items.oneOf.0.items.[INDEX].product_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].product_type","typeLabel":"enum\u003cstring> | null"},"seller_country":{"oneOf":[{"type":"string","title":"Seller Country","description":"The seller country of the cart item.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"cart_items.oneOf.0.items.[INDEX].seller_country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Seller Country","description":"The seller country of the cart item.","example":"US","uniqueKey":"cart_items.oneOf.0.items.[INDEX].seller_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].seller_country","typeLabel":"string | null"},"tax_exempt":{"oneOf":[{"type":"boolean","title":"Tax Exempt","description":"Whether the item is exempt of tax.","example":false,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].tax_exempt.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Tax Exempt","description":"Whether the item is exempt of tax.","example":false,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].tax_exempt.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].tax_exempt","typeLabel":"boolean | null"},"unit_of_measure":{"oneOf":[{"type":"string","title":"Unit Of Measure","description":"The unit of measure or the unit of measure code.","maxLength":50,"minLength":1,"example":"feet","uniqueKey":"cart_items.oneOf.0.items.[INDEX].unit_of_measure.oneOf.0","typeLabel":"string"},{"type":"null","title":"Unit Of Measure","description":"The unit of measure or the unit of measure code.","example":"feet","uniqueKey":"cart_items.oneOf.0.items.[INDEX].unit_of_measure.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].unit_of_measure","typeLabel":"string | null"},"commodity_code":{"oneOf":[{"type":"string","title":"Commodity Code","description":"Item commodity code. Generally a UNSPSC code.","maxLength":50,"minLength":1,"example":"43211503","uniqueKey":"cart_items.oneOf.0.items.[INDEX].commodity_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Commodity Code","description":"Item commodity code. Generally a UNSPSC code.","example":"43211503","uniqueKey":"cart_items.oneOf.0.items.[INDEX].commodity_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].commodity_code","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","title":"Description","description":"Brief item description.","maxLength":255,"minLength":1,"example":"A brief description of an interesting item.","uniqueKey":"cart_items.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"Brief item description.","example":"A brief description of an interesting item.","uniqueKey":"cart_items.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"duty_amount":{"oneOf":[{"type":"integer","title":"Duty Amount","description":"Item import or export duties represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","maximum":99999999,"minimum":0,"example":1299,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].duty_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Duty Amount","description":"Item import or export duties represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","example":1299,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].duty_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].duty_amount","typeLabel":"integer | null"},"shipping_amount":{"oneOf":[{"type":"integer","title":"Shipping Amount","description":"Freight/shipping amount represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","maximum":99999999,"minimum":0,"example":1299,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].shipping_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Shipping Amount","description":"Freight/shipping amount represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","example":1299,"uniqueKey":"cart_items.oneOf.0.items.[INDEX].shipping_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items.oneOf.0.items.[INDEX].shipping_amount","typeLabel":"integer | null"}},"additionalProperties":false,"type":"object","required":["name","quantity","unit_amount"],"title":"CartItem","uniqueKey":"cart_items.oneOf.0.items.[INDEX]","typeLabel":"CartItem · object"},"title":"Cart Items","description":"The cart items used to evaluate checkout rules, and which are used to help determine the right payment options to display.","uniqueKey":"cart_items.oneOf.0","typeLabel":"CartItem · object[]"},{"type":"null","title":"Cart Items","description":"The cart items used to evaluate checkout rules, and which are used to help determine the right payment options to display.","uniqueKey":"cart_items.oneOf.1","typeLabel":"null"}],"uniqueKey":"cart_items","typeLabel":"CartItem · object[] | null"}},"additionalProperties":false,"type":"object","title":"PaymentOptionRequest","uniqueKey":"","typeLabel":"PaymentOptionRequest · object"},"examples":{"Example":{"title":"Example","value":{"metadata":{"cohort":"a"},"country":"US","currency":"USD","amount":1299,"locale":"en","cart_items":[{"name":"GoPro HD","quantity":2,"unit_amount":1299,"discount_amount":0,"tax_amount":0,"external_identifier":"goprohd","sku":"GPHD1078","upc":"012345678905","product_url":"https://example.com/catalog/go-pro-hd","image_url":"https://example.com/images/go-pro-hd.jpg","categories":["camera","travel","gear"],"subcategories":["action-cameras"],"brand":"GoPro","product_type":"physical","seller_country":"US","tax_exempt":false,"unit_of_measure":"feet","commodity_code":"43211503","description":"A brief description of an interesting item.","duty_amount":1299,"shipping_amount":1299}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ae225d00-585c-406c-a0e0-b2d55e0aa505":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"method":{"type":"string","title":"Method","isRequired":true,"uniqueKey":"\\items.items.[INDEX].method","typeLabel":"string"},"mode":{"type":"string","enum":["card","redirect","applepay","googlepay","checkout-session","click-to-pay","gift-card","bank","paze"],"title":"Mode","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].mode","typeLabel":"enum\u003cstring>"},"can_store_payment_method":{"type":"boolean","title":"Can Store Payment Method","isRequired":true,"uniqueKey":"\\items.items.[INDEX].can_store_payment_method","typeLabel":"boolean"},"can_delay_capture":{"type":"boolean","title":"Can Delay Capture","isRequired":true,"uniqueKey":"\\items.items.[INDEX].can_delay_capture","typeLabel":"boolean"},"type":{"type":"string","const":"payment-option","title":"Type","default":"payment-option","uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"icon_url":{"oneOf":[{"type":"string","title":"Icon Url","maxLength":1500,"minLength":1,"uniqueKey":"\\items.items.[INDEX].icon_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Icon Url","uniqueKey":"\\items.items.[INDEX].icon_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].icon_url","typeLabel":"string | null"},"label":{"oneOf":[{"type":"string","title":"Label","maxLength":200,"minLength":1,"uniqueKey":"\\items.items.[INDEX].label.oneOf.0","typeLabel":"string"},{"type":"null","title":"Label","uniqueKey":"\\items.items.[INDEX].label.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].label","typeLabel":"string | null"},"context":{"oneOf":[{"type":"object","title":"WalletPaymentOptionContext","required":["merchant_name","supported_schemes"],"properties":{"merchant_name":{"type":"string","title":"Merchant Name","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.0.merchant_name","typeLabel":"string"},"supported_schemes":{"items":{"type":"string","uniqueKey":"\\items.items.[INDEX].context.oneOf.0.supported_schemes.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Supported Schemes","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.0.supported_schemes","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].context.oneOf.0","typeLabel":"WalletPaymentOptionContext · object"},{"type":"object","title":"GooglePayPaymentOptionContext","required":["merchant_name","supported_schemes","gateway","gateway_merchant_id"],"properties":{"merchant_name":{"type":"string","title":"Merchant Name","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.1.merchant_name","typeLabel":"string"},"supported_schemes":{"items":{"type":"string","uniqueKey":"\\items.items.[INDEX].context.oneOf.1.supported_schemes.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Supported Schemes","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.1.supported_schemes","typeLabel":"string[]"},"gateway":{"type":"string","title":"Gateway","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.1.gateway","typeLabel":"string"},"gateway_merchant_id":{"type":"string","title":"Gateway Merchant Id","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.1.gateway_merchant_id","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].context.oneOf.1","typeLabel":"GooglePayPaymentOptionContext · object"},{"type":"object","title":"PaymentOptionContext","required":["redirect_requires_popup","requires_tokenized_redirect_popup"],"properties":{"redirect_requires_popup":{"type":"boolean","title":"Redirect Requires Popup","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.redirect_requires_popup","typeLabel":"boolean"},"requires_tokenized_redirect_popup":{"type":"boolean","title":"Requires Tokenized Redirect Popup","isRequired":true,"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.requires_tokenized_redirect_popup","typeLabel":"boolean"},"approval_ui":{"oneOf":[{"type":"object","title":"PaymentOptionContextApprovalUI","properties":{"height":{"oneOf":[{"type":"string","title":"Height","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0.height.oneOf.0","typeLabel":"string"},{"type":"null","title":"Height","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0.height.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0.height","typeLabel":"string | null"},"width":{"oneOf":[{"type":"string","title":"Width","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0.width.oneOf.0","typeLabel":"string"},{"type":"null","title":"Width","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0.width.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0.width","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.0","typeLabel":"PaymentOptionContextApprovalUI · object"},{"type":"null","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.approval_ui","typeLabel":"PaymentOptionContextApprovalUI · object | null"},"required_fields":{"oneOf":[{"type":"object","title":"Required Fields","additionalProperties":{"oneOf":[{"type":"boolean","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.0.additionalProperties.oneOf.0","typeLabel":"boolean"},{"type":"object","additionalProperties":{"oneOf":[{"type":"boolean","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.0.additionalProperties.oneOf.1.additionalProperties.oneOf.0","typeLabel":"boolean"},{}],"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.0.additionalProperties.oneOf.1.additionalProperties","typeLabel":"boolean"},"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.0.additionalProperties.oneOf.1","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.0.additionalProperties","typeLabel":"boolean | object"},"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.0","typeLabel":"Required Fields · object"},{"type":"null","title":"Required Fields","uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].context.oneOf.2.required_fields","typeLabel":"Required Fields · object | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].context.oneOf.2","typeLabel":"PaymentOptionContext · object"},{"type":"null","title":"Context","uniqueKey":"\\items.items.[INDEX].context.oneOf.3","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].context","typeLabel":"WalletPaymentOptionContext · object | GooglePayPaymentOptionContext · object | PaymentOptionContext · object | null"}},"additionalProperties":false,"type":"object","required":["method","mode","can_store_payment_method","can_delay_capture"],"title":"PaymentOption","uniqueKey":"\\items.items.[INDEX]","typeLabel":"PaymentOption · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"PaymentOption · object[]"}},"type":"object","required":["items"],"title":"PaymentOptions","uniqueKey":"","typeLabel":"PaymentOptions · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"method":"\u003cstring>","mode":"card","can_store_payment_method":true,"can_delay_capture":true,"type":"payment-option","icon_url":"\u003cstring>","label":"\u003cstring>","context":{"merchant_name":"\u003cstring>","supported_schemes":["\u003cstring>"]}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"e69b56bf-146e-474f-a775-e6e1a5678543":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"8d807093-0c8e-4968-8840-75b31813fbe8":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"346a8ef9-ecfe-484a-b4d9-677b7f1ca197":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"98d80dc5-71e3-41c1-910d-d9eed2e6bd35":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"13b26c59-2b59-4531-8649-bdb13babfb5f":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"adea8993-4b44-482d-b4e3-33ff33f171f0":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"a4b35a77-efc9-4dc1-86db-4bebdee1febb":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"72a4f073-806f-48b5-8d94-f26e981444bb":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"07385d62-5ab9-4f9e-a299-3a5903610eb3":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"33d37700-53fd-4932-9ddf-a8d6cad3ce9d":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"68d680df-a62a-43fc-a5cc-fd4259699d99":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"d5720a81-f66a-40ca-9949-0c9f382f8716":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"1c94c691-caf6-424e-b0d4-912fcc945a19":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"0048b136-b0cb-4528-8f3a-95ce1a20d337":{"url":"https://api.sandbox.{id}.gr4vy.app","x-speakeasy-server-id":"sandbox","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}},"b15a1711-bb6b-4cdf-9106-1a445dacccf7":{"url":"https://api.{id}.gr4vy.app","x-speakeasy-server-id":"production","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"flexxbuy","siteName":"Gr4vy","title":"List payment options - Gr4vy","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-27T10:02:14.800Z","originalFileLocation":"reference/payment-options/list-payment-options.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List payment options - Gr4vy\">\u003cmeta data-mint-head property=\"og:description\" content=\"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Gr4vy\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.byzly.com/reference/payment-options/list-payment-options\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://flexxbuy.mintlify.app/_mintlify/api/og/v2?division=Payment+options\u0026amp;title=List+payment+options\u0026amp;description=List+the+payment+options+available+at+checkout.+filtering+by+country%2C+currency%2C+and+additional+fields+passed+to+Flow+rules.\u0026amp;theme=93f51384d2ec49fce20f3d31\u0026amp;signature=ac1665a8672753f9347bde8e85093ef9171e4cb1070f366c72a1866abc3ccce3\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List payment options - Gr4vy\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://flexxbuy.mintlify.app/_mintlify/api/og/v2?division=Payment+options\u0026amp;title=List+payment+options\u0026amp;description=List+the+payment+options+available+at+checkout.+filtering+by+country%2C+currency%2C+and+additional+fields+passed+to+Flow+rules.\u0026amp;theme=93f51384d2ec49fce20f3d31\u0026amp;signature=ac1665a8672753f9347bde8e85093ef9171e4cb1070f366c72a1866abc3ccce3\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0066CC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.byzly.com/reference/payment-options/list-payment-options\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/payment-options/list-payment-options.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.byzly.com/#organization\",\"name\":\"Gr4vy\",\"url\":\"https://docs.byzly.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.byzly.com#website\",\"name\":\"Gr4vy\",\"url\":\"https://docs.byzly.com\",\"publisher\":{\"@id\":\"https://docs.byzly.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.byzly.com/reference/payment-options/list-payment-options#webpage\",\"url\":\"https://docs.byzly.com/reference/payment-options/list-payment-options\",\"name\":\"List payment options\",\"description\":\"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.\",\"dateModified\":\"2026-07-27T10:02:14.800Z\",\"isPartOf\":{\"@id\":\"https://docs.byzly.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.byzly.com/reference/payment-options/list-payment-options#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.byzly.com/reference/payment-options/list-payment-options#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Gr4vy\",\"item\":\"https://docs.byzly.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List payment options\",\"item\":\"https://docs.byzly.com/reference/payment-options/list-payment-options\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.byzly.com/reference/payment-options/list-payment-options#apireference\",\"headline\":\"List payment options\",\"name\":\"List payment options\",\"description\":\"List the payment options available at checkout. filtering by country, currency, and additional fields passed to Flow rules.\",\"url\":\"https://docs.byzly.com/reference/payment-options/list-payment-options\",\"mainEntityOfPage\":{\"@id\":\"https://docs.byzly.com/reference/payment-options/list-payment-options#webpage\"},\"dateModified\":\"2026-07-27T10:02:14.800Z\",\"publisher\":{\"@id\":\"https://docs.byzly.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.byzly.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Gr4vy\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Gr4vy","nav":{"global":null,"tabs":[{"tab":"Build","icon":"credit-card","pages":[{"title":"Build","href":"/guides/get-started"}]},{"tab":"Dashboard","icon":"circle-user","pages":[{"title":"Dashboard","href":"/guides/dashboard/overview"}]},{"tab":"Connections","icon":{"style":"light","name":"circle-nodes"},"pages":[{"title":"Connections","href":"/connections/payments/overview"}]},{"tab":"Custom Connectors","icon":"plug","hidden":true,"pages":[{"title":"Custom Connectors","href":"/guides/features/custom-connectors/overview"}]},{"tab":"Connector Requirements","icon":"clipboard-check","hidden":true,"pages":[{"title":"Connector Requirements","href":"/partners/connector-requirements/overview"}]},{"tab":"External Apps","icon":"puzzle-piece","hidden":true,"pages":[{"title":"External Apps","href":"/partners/external-apps"}]},{"tab":"API Reference","icon":{"style":"light","name":"square-terminal"},"groups":[{"group":"Introduction","icon":"compass","pages":[{"title":"Authentication","mode":"wide","href":"/guides/api/authentication"},{"title":"Managing API keys","sidebarTitle":"API keys","mode":"wide","href":"/guides/api/api-keys"},{"title":"API Compatibility","sidebarTitle":"Compatibility","href":"/guides/api/compatibility"},{"title":"Connectivity and TLS","sidebarTitle":"Connectivity","href":"/guides/api/connectivity"},{"sidebarTitle":"JWTs","title":"Authentication with JWTs","href":"/guides/api/jwts"},{"title":"Environments","href":"/guides/api/environments"},{"title":"Error handling","sidebarTitle":"Errors","mode":"wide","href":"/guides/api/errors"},{"title":"Idempotent requests","href":"/guides/api/idempotent-requests"},{"title":"IP address forwarding","href":"/guides/api/ip-address-forwarding"},{"title":"OpenAPI 3.1.0 Specification","sidebarTitle":"OpenAPI","href":"/guides/api/openapi"},{"title":"Pagination","href":"/guides/api/pagination"},{"sidebarTitle":"Prefer header","title":"Prefer header","href":"/guides/api/prefer-header"},{"title":"Rate limiting","href":"/guides/api/rate-limiting"},{"sidebarTitle":"Timeouts","title":"Handling transaction timeout","mode":"wide","href":"/guides/timeouts"},{"title":"Transaction error codes","sidebarTitle":"Error Codes","mode":"wide","href":"/guides/api/error-codes"}]},{"group":"Transactions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions","title":"List transactions","href":"/reference/transactions/list-transactions"},{"openapi":"openapi.speakeasy.json POST /transactions","title":"Create transaction","href":"/reference/transactions/new-transaction"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}","title":"Get transaction","href":"/reference/transactions/get-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/capture","title":"Capture transaction","href":"/reference/transactions/capture-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/void","title":"Void transaction","href":"/reference/transactions/void-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/authorization/increment","title":"Increment transaction authorization","href":"/reference/transactions/increment-transaction-authorization"},{"group":"Captures","pages":[{"sidebarTitle":"List captures","title":"List transaction captures","openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/captures","href":"/reference/transactions/list-transaction-captures"},{"sidebarTitle":"Get capture","title":"Get capture","openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/captures/{capture_id}","href":"/reference/transactions/get-transaction-capture"}]},{"group":"More actions","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/events","title":"List transaction events","href":"/reference/transactions/list-transaction-events"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/actions","title":"List transaction Flow rules","href":"/reference/transactions/list-transaction-actions"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/sync","title":"Sync transaction","href":"/reference/transactions/sync-transaction"},{"title":"Update a transaction","openapi":"openapi.speakeasy.json PUT /transactions/{transaction_id}","href":"/reference/transactions/update-transaction"},{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transacti
[...]
